Package org.h2gis.functions.spatial.affine_transformations

# Class ST_Rotate

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.affine_transformations.ST_Rotate

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Rotate extends org.h2gis.api.DeterministicScalarFunction
ST_Rotate rotates a geometry by a given angle (in radians) about the geometry's center.

Author:
  Adam Gouge

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Rotate()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`rotate(org.locationtech.jts.geom.Geometry geom, double theta)`
Rotates a geometry by a given angle (in radians) about the center of the geometry's envelope.
`static org.locationtech.jts.geom.Geometry`
`rotate(org.locationtech.jts.geom.Geometry geom, double theta, double x0, double y0)`
Rotates a geometry by a given angle (in radians) about the specified point at (x0, y0).
`static org.locationtech.jts.geom.Geometry`
`rotate(org.locationtech.jts.geom.Geometry geom, double theta, org.locationtech.jts.geom.Point point)`
Rotates a geometry by a given angle (in radians) about the specified point.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Rotate

public ST_Rotate()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### rotate

public static org.locationtech.jts.geom.Geometry rotate(org.locationtech.jts.geom.Geometry geom, double theta)
Rotates a geometry by a given angle (in radians) about the center of the geometry's envelope.

Parameters:
  `geom` - Geometry
  `theta` - Angle
Returns:
  The geometry rotated about the center of its envelope

### rotate

public static org.locationtech.jts.geom.Geometry rotate(org.locationtech.jts.geom.Geometry geom, double theta, org.locationtech.jts.geom.Point point)
Rotates a geometry by a given angle (in radians) about the specified point.

Parameters:
  `geom` - Geometry
  `theta` - Angle
  `point` - The point about which to rotate
Returns:
  The geometry rotated by theta about the given point

### rotate

public static org.locationtech.jts.geom.Geometry rotate(org.locationtech.jts.geom.Geometry geom, double theta, double x0, double y0)
Rotates a geometry by a given angle (in radians) about the specified point at (x0, y0).

Parameters:
  `geom` - Geometry
  `theta` - Angle
  `x0` - x-coordinate of point about which to rotate
  `y0` - y-coordinate of point about which to rotate
Returns:
  The geometry rotated by theta about (x0, y0)